﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Video;

public class fadescript : MonoBehaviour
{
    VideoPlayer vplayer;
    float playtime;
    int flipper;

    Renderer rend;
    float alpha;

    public float starttime;

    private void Awake()
    {
        vplayer = GetComponent<VideoPlayer>();
        rend = GetComponent<Renderer>();
    }

    // Start is called before the first frame update
    void Start()
    {
        playtime = 0.0f;
        flipper = 1;

        alpha = 0.0f;
        rend.material.color = new Color(1.0f, 1.0f, 1.0f, alpha);
    }

    // Update is called once per frame
    void Update()
    {
        if (Time.time < starttime) return;

        if (playtime >= 1.0f || playtime <= 0.0)
        {
            flipper = -flipper;
        }

        if (flipper > 0)
        {
            playtime += Time.deltaTime / 5.0f;
        } else
        {
            playtime -= Time.deltaTime / 5.0f;
        }

        alpha = playtime;
        rend.material.color = new Color(1.0f, 1.0f, 1.0f, alpha);
    }
}
